JmolDataManager
Date: 2019-10-22

org.jmol.api

## Interface JmolDataManager

- All Known Implementing Classes:
    DataManager

      public interface JmolDataManager

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DATA_LABEL`
    `static int` | `DATA_SAVE_IN_STATE`
    `static int` | `DATA_SELECTION`
    `static int` | `DATA_TYPE`
    `static int` | `DATA_TYPE_AF`
    `static int` | `DATA_TYPE_AFF`
    `static int` | `DATA_TYPE_AFFF`
    `static int` | `DATA_TYPE_LAST`
    `static int` | `DATA_TYPE_STRING`
    `static int` | `DATA_TYPE_UNKNOWN`
    `static int` | `DATA_VALUE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `java.lang.Object[]` | `createFileData(java.lang.String strModel)`
    `void` | `deleteModelAtoms(int firstAtomIndex, int nAtoms, javajs.util.BS bsDeleted)`
    `java.lang.Object` | `getData(java.lang.String label, javajs.util.BS bsSelected, int dataType)`
    `boolean` | `getDataState(JmolStateCreator stateCreator, javajs.util.SB commands)`
    `java.lang.String` | `getDefaultVdwNameOrData(VDW type, javajs.util.BS bs)`
    `JmolDataManager` | `set(Viewer vwr)`
    `void` | `setData(java.lang.String type, java.lang.Object[] data, int dataType, int ac, int matchField, int matchFieldColumnCount, int dataField, int dataFieldColumnCount)`

- - ### Field Detail

    - #### DATA_TYPE_LAST

          static final int DATA_TYPE_LAST

      See Also:
        Constant Field Values

    - #### DATA_TYPE_UNKNOWN

          static final int DATA_TYPE_UNKNOWN

      See Also:
        Constant Field Values

    - #### DATA_TYPE_STRING

          static final int DATA_TYPE_STRING

      See Also:
        Constant Field Values

    - #### DATA_TYPE_AF

          static final int DATA_TYPE_AF

      See Also:
        Constant Field Values

    - #### DATA_TYPE_AFF

          static final int DATA_TYPE_AFF

      See Also:
        Constant Field Values

    - #### DATA_TYPE_AFFF

          static final int DATA_TYPE_AFFF

      See Also:
        Constant Field Values

    - #### DATA_LABEL

          static final int DATA_LABEL

      See Also:
        Constant Field Values

    - #### DATA_VALUE

          static final int DATA_VALUE

      See Also:
        Constant Field Values

    - #### DATA_SELECTION

          static final int DATA_SELECTION

      See Also:
        Constant Field Values

    - #### DATA_TYPE

          static final int DATA_TYPE

      See Also:
        Constant Field Values

    - #### DATA_SAVE_IN_STATE

          static final int DATA_SAVE_IN_STATE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### set

          JmolDataManager set(Viewer vwr)

    - #### getDataState

          boolean getDataState(JmolStateCreator stateCreator,
                               javajs.util.SB commands)

    - #### clear

          void clear()

    - #### deleteModelAtoms

          void deleteModelAtoms(int firstAtomIndex,
                                int nAtoms,
                                javajs.util.BS bsDeleted)

    - #### getData

          java.lang.Object getData(java.lang.String label,
                                   javajs.util.BS bsSelected,
                                   int dataType)

    - #### getDefaultVdwNameOrData

          java.lang.String getDefaultVdwNameOrData(VDW type,
                                                   javajs.util.BS bs)

    - #### setData

          void setData(java.lang.String type,
                       java.lang.Object[] data,
                       int dataType,
                       int ac,
                       int matchField,
                       int matchFieldColumnCount,
                       int dataField,
                       int dataFieldColumnCount)

    - #### createFileData

          java.lang.Object[] createFileData(java.lang.String strModel)